Subject: RE: ASN or ABNF

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 23 Apr 2001 13:08:00 -0400

This question belongs on the main megaco mail list

The answer is that you figure it out from the first message (ServiceChange).
You can figure it out from the first byte of the first message.
Nearly all implementations use text.  A small number of implementations
use text and binary.  I saw one implementation of an MG that was binary
only,
but I suspect they have added text since then.

Brian

> -----Original Message-----
> From: Sivakoti, Suresh [mailto:[email-masked]]
> Sent: Monday, April 23, 2001 12:16 PM
> To: [email-masked]
> Subject: ASN or ABNF
> 
> 
> RFC-3015  section 7.2.1o specifies that MGC should support 
> both ASN and
> ABNF, where as MGs may support both. I intrepret this 
> statement as MGs does
> not need to support both formats, If they support either format.
> 
> In this case, how does MG lets MGC about the protocol 
> encoding/decoding it
> is currently using in the serviceChange Request ?.
> Is there a rule that says support for ABNF is mandatory for 
> MGs and ASN is
> optional or vice-versa. If there is no such restrction, then 
> what is the
> popular choice of  protocol encoding for MGs ?.
> Is there a possibilty that MG changes protocol encoding from 
> ASN<--->ABNF
> durinng active session ( without serviceChange request).
> 
> What are the current practices of implementing parser for 
> Megaco, is it one
> for text and one for ASN ?.
> 
> Is there any sample data available to evaluate parsers 
> implementation ?.
> 
> the above questions might have obvious answers but not for 
> me, as I just
> started to working on implementing a MGC.
> 
> Thanks for your support.
> 
> Suresh Sivakoti
>  
>